%define upstream_name    App-perlall
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    build, test and do with all perls 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Rad) >= 1.40.0
BuildRequires: perl(Cwd) >= 3.300.0
BuildRequires: perl(Devel::PatchPerl) >= 0.460.0
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.740.0
BuildRequires: perl(File::Path) >= 1.80.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Cmd) >= 0.460.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Usage) >= 1.330.0
BuildArch:  noarch

# from a EOF block wrongly treated:
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(private::MakeUtil\\)$

%description
perlall is like a better perlbrew with a lot of testing features. The perls are
in the default /usr/local/bin/, and /usr/local/lib/perl5/VERSION paths, instead
of locally, and . You need write access to the default PREFIX /usr/local, e.g.
via sudo. It does not use local::lib, does not mangle PERL5LIB and builds and
keeps sane global perl installations with special suffices, without the need to
save and restore internal states. The suffices are used in postprocessing
scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/perlall
/usr/share/man/man1/perlall.1.xz

%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.510.0-2.mga8
+ Revision: 1539651
- Mageia 8 Mass Rebuild

* Wed Dec 11 2019 tv <tv> 0.510.0-1.mga8
+ Revision: 1465893
- update to 0.51

* Tue Mar 12 2019 tv <tv> 0.500.0-4.mga7
+ Revision: 1374676
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.500.0-3.mga7
+ Revision: 1281711
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.500.0-2.mga7
+ Revision: 1163122
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.500.0-1.mga7
+ Revision: 1156574
- new version 0.50

* Sat Jun 18 2016 pterjan <pterjan> 0.490.0-2.mga6
+ Revision: 1022550
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.490.0-1.mga6
+ Revision: 911341
- New version 0.49

* Wed Oct 14 2015 sander85 <sander85> 0.480.0-1.mga6
+ Revision: 891224
- update to 0.48

* Wed Jul 08 2015 sander85 <sander85> 0.470.0-1.mga6
+ Revision: 852849
- update to 0.47

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-5.mga5
+ Revision: 747005
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.460.0-4.mga5
+ Revision: 736279
- better exclude

* Wed Oct 01 2014 tv <tv> 0.460.0-3.mga5
+ Revision: 733963
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-2.mga5
+ Revision: 683529
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 0.460.0-1.mga5
+ Revision: 661496
- update to 0.46

* Sun Jul 27 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 657484
- update to 0.45

* Tue Feb 04 2014 shlomif <shlomif> 0.440.0-1.mga5
+ Revision: 580986
- update to 0.44

* Sat Oct 19 2013 umeabot <umeabot> 0.370.0-2.mga4
+ Revision: 529996
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.370.0-1.mga4
+ Revision: 454663
- update to 0.37

* Wed May 29 2013 shlomif <shlomif> 0.350.0-1.mga4
+ Revision: 432423
- update to 0.35

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 363086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.290.0-1.mga3
+ Revision: 334777
- update to 0.29

* Sat Dec 15 2012 shlomif <shlomif> 0.280.0-1.mga3
+ Revision: 331069
- update to 0.28

* Fri Dec 07 2012 shlomif <shlomif> 0.270.0-1.mga3
+ Revision: 327809
- Add descript tag
- imported package perl-App-perlall


* Fri Dec 07 2012 cpan2dist 0.27-1mga
- initial mageia release, generated with cpan2dist
